/**
 * A simple TimerEvent Object used for dispatching by the Timer Object
 */
class com.jor.events.TimerEvent
{
  public static var TIMER:String = "timer";
  public static var TIMER_COMPLETE:String = "timerComplete";
  // Target Object dispatching the TimerEvent
  private var _target:Object;
  public function get target ():Object {
    return _target;
  }
  // Type of TimerEvent being dispatched
  private var _type:String;
  public function get type ():String {
    return _type;
  }
  /**
   * Constructor
   * @param   target   Target Object dispatching the TimerEvent
   * @param   type     Type of TimerEvent being dispatched
   */
  public function TimerEvent (target:Object, type:String)
  {
    _target = target;
    _type = type;
  }
  /**
   * Trace friendly output
   */
  public function toString ():String
  {
    return "[TimerEvent target=" + _target + " type=" + _type + "]";
  }
}
/**
 * com.jor.events.TimerEvent
 *
 * Author: James OReilly - JOR
 *   www.jamesor.com
 *
 * This work is licensed under the Creative Commons attribution 2.5
 * This comment block must remain intact.
 */
